using System;

namespace ConsoleApp12
{
    class Program
    {
        static void Main(string[] args)
        {
            string slova = Console.ReadLine();
            char c1 = slova[0];
            char c2 = slova[1];
            string[] brojevi = Console.ReadLine().Split();
            int a1 = int.Parse(brojevi[0]);
            int a2 = int.Parse(brojevi[1]);
            if (Math.Abs(a1 - a2) > 1) Console.WriteLine("nemoguce");
            else if (a1>a2)
            {
                for(int i = 0;i<a2;i++)
                {
                    Console.Write(c1);
                    Console.Write(c2);
                }
                Console.Write(c1);
            }
            else
            {
                for (int i = 0; i < a1; i++)
                {
                    Console.Write(c2);
                    Console.Write(c1);
                }
                if(a1!=a2)Console.Write(c1);
            }
        }
    }
}